Subject: bug#75530: [PATCH v2 2/3] Remap read-only-mode for Occur modes (bug#75530)

From: Liam Hupfer <[email-masked]>
Date: Thu, 06 Feb 2025 21:17:19 -0600

Juri Linkov <[email-masked]> writes:

> Thanks for mentioning Grep Edit.  Its grep-edit--prepare-buffer
> puts read-only properties on line numbers only after switching
> to Edit mode.  And Occur Edit mode should do the same.
> So now we have a better solution than was in bug#53419.

Nice!  Since making entry and exit from the three special writable modes
consistent is the goal of this bug, and we seem to have ruled out
remapping read-only-mode, I think Occur’s read-only properties are now
orthogonal to this bug and a good topic for a new one (or reopening
bug#53419?).

I’ll post a series dropping patches 2 and 3 and replacing them with a
patch rebinding ‘e’ in Dired based on the rationale Howard and I
discussed in the previous two messages.